<?php
$data = json_decode(file_get_contents("php://input"), true);
if (!$data || !isset($data['code']) || !isset($data['filename'])) {
    http_response_code(400); 
    echo json_encode(["status" => "error", "message" => "Invalid data received."]);
    exit;
}
$filename = basename($data['filename']);
$code = $data['code'];
$upload_dir = __DIR__ . "/uploads"; 
if (!is_dir($upload_dir)) {
    mkdir($upload_dir, 0755, true);
}
$filepath = $upload_dir . "/" . $filename;

try {
    
    if (file_put_contents($filepath, $code) !== false) {
        
        echo json_encode(["status" => "success", "message" => "File created", "path" => $filepath]);
    } else {
        throw new Exception("Failed to write the file.");
    }
} catch (Exception $e) {
    http_response_code(500); 
    echo json_encode(["status" => "error", "message" => $e->getMessage()]);
}
?>